<?php
/**
 * The theme for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package cyarb
 */
 get_header();

?>
<div class="not-found-area ptb-100">
	<div class="container">
		<div class="not-found-content">

			<?php if ( isset( $cyarb_opt['img-404']['url'] ) && $cyarb_opt['img-404']['url'] !='' ) : ?>
				<img src="<?php echo esc_url( $cyarb_opt['img-404']['url'] ); ?> " alt="<?php esc_attr_e( '404 Image', 'cyarb' ); ?>" >
			<?php else: ?>
				<img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/error.png' ); ?>" alt="<?php esc_attr_e( '404 Image', 'cyarb' ); ?>">
			<?php endif; ?>

			<?php if( isset( $cyarb_opt['content_not_found'] ) ): ?>
				<h3><?php echo esc_html( $cyarb_opt['content_not_found'] ); ?></h3>
			<?php else: ?>
				<h3><?php esc_html_e('Page Does not Exist', 'cyarb'); ?></h3>
			<?php endif; ?>

			<?php if( isset( $cyarb_opt['long_content_not_found'] ) ): ?>
				<p><?php echo esc_html( $cyarb_opt['long_content_not_found'] ); ?></p>
			<?php else: ?>
				<p><?php esc_html_e('The page you are looking for might have been removed had its name changed or is temporarily unavailable.', 'cyarb'); ?></p>
			<?php endif; ?>

			<?php if( isset( $cyarb_opt['btn_not_found'] ) ): ?>
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="default-btn">
					<span>
						<?php echo esc_html( $cyarb_opt['btn_not_found'] ); ?>
					</span>
				</a>
			<?php else: ?>
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="default-btn">
					<span>
						<?php esc_html_e( 'Back To Home', 'cyarb' ); ?>
					</span>
				</a>
			<?php endif; ?>

		</div>
	</div>
</div>

<?php
get_footer();