<?php
/**
 * The single template file
 * @package cyarb
 */
get_header();

$title = get_the_title();

// Blog sidebar
if(isset($cyarb_opt['cyarb_blog_sidebar'])) {
    if( $cyarb_opt['cyarb_blog_sidebar'] == 'cyarb_without_sidebar_center' ):
        $cyarb_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
    elseif( $cyarb_opt['cyarb_blog_sidebar'] == 'cyarb_without_sidebar' ):
        $cyarb_sidebar_class = 'col-lg-12 col-md-12';
    else:
        if( is_active_sidebar( 'article-sidebar' ) ):
            $cyarb_sidebar_class = 'col-lg-8 col-md-12';
        else:
            $cyarb_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
        endif;
    endif;
    $sidebar_hide = $cyarb_opt['cyarb_blog_sidebar'];
} else {
    if( is_active_sidebar( 'article-sidebar' ) ):
        $cyarb_sidebar_class = 'col-lg-8 col-md-12';
        $sidebar_hide = 'cyarb_with_sidebar';
    else:
        $cyarb_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
        $sidebar_hide = 'cyarb_without_sidebar';
    endif;
} 

// Blog breadcrumb
if( isset($cyarb_opt['single_hide_breadcrumb']) ) {
    $hide_breadcrumb    	= $cyarb_opt['single_hide_breadcrumb'];
    $hide_blog_banner       = $cyarb_opt['hide_single_blog_banner'];
} else {
    $hide_breadcrumb    	= false;
    $hide_blog_banner       = false;
}

if( function_exists('acf_add_options_page') ) {
	$bg_img = get_field( 'banner_background_image' );
	$banner_title		= get_field( 'page_banner_title' );
}else {
	$bg_img = '';
	$banner_title 		= '';
}

if( function_exists('acf_add_options_page') ) {
	$hide_banner 		= get_field( 'enable_page_banner' );
	$hide_breadcrumb 	= get_field( 'hide_breadcrumb' );
}else {
	$hide_banner 		= false;
	$hide_breadcrumb 	= false;
}

// Blog page link
if ( get_option( 'page_for_posts' ) ) {
	$blog_link = get_permalink( get_option( 'page_for_posts' ));
}else{
	$blog_link = home_url( '/' );
}
// After Hiding Banner add spacing
if( $hide_blog_banner == true ){
    $page_spac = 'mt-80';
} else {
    $page_spac = '';
}

// page banner shape image
if( isset( $cyarb_opt['cyarb_banner_image_shape'] ) ):	
	$banner_shape = $cyarb_opt['cyarb_banner_image_shape'];
else:
	$banner_shape = '';
endif;

if( ! isset( $cyarb_opt['enable_blog_post_share'] ) ):
	$post_tags_space = 'post-tags-space';
else:
	$post_tags_space = '';
endif;

$count_tag          = !empty($cyarb_opt['single_count_tag']) ? $cyarb_opt['single_count_tag'] : 2;

?>
<?php if( $hide_blog_banner == false ): ?>
	<div class="page-title-area" style="background-image:url(<?php echo esc_url( $bg_img ); ?>);">
		<div class="container">
			<div class="page-title-content">

				<?php if( $title != '' ): ?>
					<h1><?php the_title(); ?></h1>
				<?php else: ?>
					<h1><?php echo esc_html__('No Title', 'cyarb'); ?></h1>
				<?php endif; ?>

				<?php if( $hide_breadcrumb == false ): ?>
					<?php if ( function_exists('yoast_breadcrumb') ) {
						yoast_breadcrumb( '<p class="cyarb-seo-breadcrumbs" id="breadcrumbs">','</p>' );
					} else { ?>
					<ul>
						<?php if ( get_option( 'page_for_posts' ) ) { ?>
							<li><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e( 'Home', 'cyarb' ); ?></a></li>
						<?php } ?>

						<?php if ( $title != '' ): ?>
							<li class="active"><?php the_title(); ?></li>
						<?php else: ?>
							<li class="active"><?php echo esc_html__('No Title', 'cyarb'); ?></li>
						<?php endif; ?>
					</ul><?php
					}
				endif; ?>
				
			</div>
		</div>
		<?php if( $banner_shape == 1 ) : ?>
			<div class="shape1"><img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/shape/shape1.png' ); ?>" alt="<?php the_title_attribute(); ?>"></div>
			<div class="shape2"><img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/shape/shape2.png' ); ?>" alt="<?php the_title_attribute(); ?>"></div>
			<div class="shape4"><img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/shape/shape4.png' ); ?>" alt="<?php the_title_attribute(); ?>"></div>
			<div class="shape5"><img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/shape/shape5.png' ); ?>" alt="<?php the_title_attribute(); ?>"></div>
		<?php endif; ?>
	</div>

<?php endif; ?>

	<!-- Start Blog Area -->
	<div class="blog-details-area ptb-100 <?php echo esc_attr($page_spac); ?>">
		<div class="container">
			<div class="row">
				<?php
				while ( have_posts() ) :
				the_post(); ?>
					<div class="<?php echo esc_attr( $cyarb_sidebar_class ); ?>">
						<div class="blog-details">

							<?php if(has_post_thumbnail()) { ?>
								<div class="post-thumb">
									<img src="<?php the_post_thumbnail_url('full') ?>" alt="<?php the_title_attribute(); ?>">
								</div>
							<?php } ?>

							<div class="blog-details-content">
								<?php 
									$enable_post_meta 	= isset( $cyarb_opt['is_post_meta']) ? $cyarb_opt['is_post_meta'] : true;
								
								if( $enable_post_meta == '1' ) { ?>
									<ul class="entry-meta">
										<li><i class="lni lni-calendar"></i> <?php echo esc_html(get_the_date('d F, Y')) ?></li>
                                    	<li><i class="lni lni-comments"></i><?php comments_number(); ?></li>
									</ul>
								<?php } ?>

								<?php the_content(); 
								
								wp_link_pages( array(
									'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'cyarb' ),
									'after'  => '</div>',
								) );
								?>
							</div>

							<?php if ( get_the_tags() ) :  ?>
								<div class="post-footer">
									<?php if ( get_the_tags() ) :  ?>
										<div class="post-tags <?php echo esc_attr($post_tags_space); ?>">
											<span class="sub"><?php echo esc_html__('Tags:', 'cyarb'); ?></span>
											
											<ul>
												<?php $tags = get_the_tags();
													$i = 1;
													foreach ( $tags as $tag ) {  ?>
													<li>
														<a href="<?php echo esc_url(get_tag_link( $tag->term_id )); ?>">
															<?php echo esc_html( $tag->name ) ?>
														</a>
													</li>
													<?php

													if( $i == $count_tag  ){ break;
														$i++;
													}
												} ?>
											</ul>
										</div>
									<?php endif; ?>

									<?php
										global $cyarb_opt;
										$is_social_share   = !empty($cyarb_opt['enable_blog_post_share']) ? $cyarb_opt['enable_blog_post_share'] : '';
										if( $is_social_share == '1' ):
										$share_url      = get_the_permalink();
										$share_title    = get_the_title();
									?>
										<div class="article-share">
											<ul class="social">
												<li><span><?php echo esc_html__('Share:', 'cyarb'); ?></span></li>
												<?php if( $cyarb_opt['enable_blog_post_fb'] == '1' ): ?>

													<li><a href="https://www.facebook.com/sharer/sharer.php?u=<?php echo esc_url($share_url); ?>" onclick="window.open(this.href, 'facebook-share','width=580,height=296'); return false;" class="facebook" target="_blank"><i class="lni lni-facebook-filled"></i></a></li>

												<?php endif; ?>

												<?php if( $cyarb_opt['enable_blog_post_twit'] == '1' ): ?>
													<li><a href="https://twitter.com/share?text=<?php echo urlencode($share_title); ?>&url=<?php echo esc_url($share_url); ?>" class="twitter" target="_blank"><i class="lni lni-twitter-filled"></i></a></li>
												<?php endif; ?>

												<?php if( $cyarb_opt['enable_blog_post_linked'] == '1' ): ?>
													<li><a href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo esc_url($share_url); ?>&amp;title=<?php echo urlencode($share_title); ?>&amp;summary=&amp;source=<?php bloginfo('name'); ?>" onclick="window.open(this.href, 'linkedin','width=580,height=296'); return false;" class="linkedin" target="_blank"><i class="fab fa-linkedin"></i></a></li>
												<?php endif; ?>

												<?php if( $cyarb_opt['enable_blog_post_instagram'] == '1' ): ?>
													<li><a href="https://plus.instragram.com/share?url=<?php echo esc_url($share_url); ?>" class="instagram" target="_blank"><i class='lni lni-instagram-original'></i></a></li>
												<?php endif; ?>
											</ul>
										</div>
									<?php endif; ?>
								</div>
							<?php endif;?>
								
						</div>

						<?php
							// If comments are open or we have at least one comment, load up the comment template.
							if ( comments_open() || get_comments_number() ) :
								comments_template();
							endif;
						?>
					</div>
				<?php endwhile; // End of the loop. ?>

				<?php if( $sidebar_hide == 'cyarb_with_sidebar' ): ?>
					<?php get_sidebar(); ?>
				<?php endif; ?>

			</div>
		</div>
	</div>
	<!-- End Blog Area -->

<?php
get_footer();