<?php global $cyarb_opt;
/**
 * @package Cyarb
*/

// Text and link
if( isset($cyarb_opt['contact_text']) ):
    $company_text     	  = $cyarb_opt['company_text'];
    $company_url		  = $cyarb_opt['company_url'];
    $email_level_text     = $cyarb_opt['email_level_text'];
    $email_text        	  = $cyarb_opt['email_text'];
    $email_icon           = $cyarb_opt['email_icon'];
    $email_url		      = $cyarb_opt['email_url'];
    $contact_level_text   = $cyarb_opt['contact_level_text'];
    $contact_text         = $cyarb_opt['contact_text'];
    $contact_icon         = $cyarb_opt['contact_icon'];
    $contact_url		  = $cyarb_opt['contact_url'];
    $support_text         = $cyarb_opt['support_text'];
    $support_icon         = $cyarb_opt['support_icon'];
    $support_url		  = $cyarb_opt['support_url'];
else:
    $company_text         = '';
    $company_url          = '';
    $email_level_text     = '';
    $email_text           = '';
    $email_icon           = '';
    $email_url            = '';
    $contact_level_text   = '';
    $contact_text         = '';
    $contact_icon         = '';
    $contact_url          = '';
    $support_text         = '';
    $support_icon         = '';
    $support_url          = '';
endif;

// WP Nav Class
$hide_wp_nav = "hide-wp-nav";

// Logo for mobile device
if ( isset( $cyarb_opt['mobile_logo']['url'] ) && $cyarb_opt['mobile_logo']['url'] != '' ) :
    $mobile_logo   = $cyarb_opt['mobile_logo']['url'];
    $meanclass2     = 'menu-top-space';
else:
    $mobile_logo   = '';	
    $meanclass2     = '';
endif;

// Cyarb Logo
if ( isset( $cyarb_opt['cyarb_logo']['url'] ) && $cyarb_opt['cyarb_logo']['url'] != '' ) :
    $site_logo   = $cyarb_opt['cyarb_logo']['url'];
    $meanclass     = 'menu-top-space';
else:
    $site_logo   = '';
    $meanclass     = '';
endif;

// Header Part
if ( isset( $cyarb_opt['cyarb_search_placeholder_text'] ) && $cyarb_opt['cyarb_search_placeholder_text'] != '' ) :
    $enable_search        = $cyarb_opt['cyarb_enable_search'];
    $search_place 		  = $cyarb_opt['cyarb_search_placeholder_text'];
else:
    $enable_search          = 'false';
    $search_place           = '';
endif;

// Button
if( isset($cyarb_opt['link_to_page']) ):
    $enable_btn        	  = $cyarb_opt['enable_button'];
    $button_text          = $cyarb_opt['button_text'];

    $btn_link_type 	      = $cyarb_opt['btn_link_type'];

    if( $btn_link_type == 'link_to_page') {
        // Page link
        $btn_link	      = get_page_link( $cyarb_opt['link_to_page'] );
    } else {
        $btn_link	      = $cyarb_opt['external_link'];
    }
else:
    $enable_btn             = 'false';
    $button_text            = '';
    $btn_link 		        = '';
endif;

if ( !has_nav_menu('primary') ) :
    $margin = 'margin-space';
else:
    $margin = '';
endif;

// Header Style
if( function_exists('acf_add_options_page') && get_field('choose_header_style') == 2 ) {
    $header_class = "header-area white-header ";
} else {
    $header_class = "header-area ";
} 

$is_social   = !empty($cyarb_opt['is_top_social']) ? $cyarb_opt['is_top_social'] : ''; ?>

<header class="header-area  <?php if ( is_user_logged_in() ) { echo esc_attr( $hide_wp_nav ); } ?>">
    <?php if( isset( $cyarb_opt['cyarb_hide_top_header'] ) && $cyarb_opt['cyarb_hide_top_header'] != 1 ){ 
        if( $email_text  != '' || $contact_text != '' || $company_text != '' || $support_text != '' ) { ?>
        <div class="top-header-area cyard-new-top-header-area">
            <div class="container-fluid">
                <div class="row align-items-center">
                    <?php if( $email_text  != '' || $contact_text != '' || $company_text != '' ): ?>
                        <div class="col-lg-6 col-md-12">
                            <ul class="top-header-contact-info">
                                <?php if( $company_text != '' ): ?>
                                    <li><a href="<?php echo esc_attr( $company_url ); ?>"><?php echo esc_html( $company_text ); ?></a></li>
                                <?php endif; ?>

                                <?php if( $email_text != '' ): ?>
                                    <li class="email"><?php echo esc_html( $email_level_text ); ?> <a href="<?php echo esc_attr( $email_url ); ?>"> <?php echo esc_html( $email_text ); ?></a></li>
                                <?php endif; ?>

                                <?php if( $contact_text != '' ): ?>
                                    <li class="phone-number"><?php echo esc_html( $contact_level_text ); ?> <a href="<?php echo esc_attr( $contact_url ); ?>"> <?php echo esc_html( $contact_text ); ?></a></li>
                                <?php endif; ?>
                            </ul>
                        </div>
                    <?php endif; ?>

                    <?php if( $support_text != '' ): ?>
                        <div class="col-lg-6 col-md-12">
                            <ul class="top-header-right-side">
                                <li><a href="<?php echo esc_attr( $support_url ); ?>"> <?php echo esc_html( $support_text ); ?></a></li>
                                <?php if( $is_social == '1' ): ?>
                                <?php cyarb_social_link(); ?>
                                <?php endif; ?>
                            </ul>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    <?php }
    } ?>

    <!-- Start Navbar Area -->
    <div class="navbar-area cyard-new-navbar-area">
        <div class="cyard-responsive-nav">
            <div class="container">
                <div class="cyard-responsive-menu">
                    <div class="logo">
                        <a href="<?php echo esc_url( home_url( '/' ) );?>">
                            <?php if( $mobile_logo  != '' ): ?>
                                <img src="<?php echo esc_url( $mobile_logo ); ?>" alt="<?php the_title_attribute(); ?>">
                            <?php elseif( $site_logo  != '' ): ?>
                                <img src="<?php echo esc_url( $site_logo  ); ?>" alt="<?php the_title_attribute(); ?>">
                            <?php else: ?>
                                <h2><?php bloginfo( 'name' ); ?></h2>
                            <?php endif; ?>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div class="cyard-nav">
            <div class="container-fluid">
                <nav class="navbar navbar-expand-md navbar-light">
                    <a href="<?php echo esc_url( home_url( '/' ) );?>" class="navbar-brand">
                        <?php if( $site_logo != '' ): ?>
                            <img src="<?php echo esc_url( $site_logo ); ?>" alt="<?php the_title_attribute(); ?>">
                        <?php else: ?>
                            <h2><?php bloginfo( 'name' ); ?></h2>
                        <?php endif; ?>
                    </a>
                    <div class="collapse navbar-collapse mean-menu">
                        <?php
                            $primary_nav_arg = [
                                'menu'            => 'primary',
                                'theme_location'  => 'primary',
                                'container'       => null,
                                'menu_class'      => 'navbar-nav',
                                'depth'           => 3,
                                'walker'          => new Cyarb_Bootstrap_Navwalker(),
                                'fallback_cb'     => 'Cyarb_Bootstrap_Navwalker::fallback',
                            ];
                    
                            if ( has_nav_menu('primary') ) :
                                wp_nav_menu( $primary_nav_arg );
                            endif; 
                        ?>

                        <div class="others-option">
                            <div class="d-flex align-items-center">
                                <?php if( isset( $cyarb_opt['enable_cart_btn'] ) && $cyarb_opt['enable_cart_btn'] == true ) {
                                    if ( class_exists( 'WooCommerce' ) ) { ?>
                                    <div class="option-item">
                                        <a class="cart-btn" href="<?php echo esc_url(wc_get_cart_url()) ?>">
                                            <i class='lni lni-shopping-basket'></i>
                                            <span class="mini-cart-count"></span>
                                        </a>
                                    </div><?php 
                                    }
                                } ?>
                                <?php if( isset($enable_search) && $enable_search == '1' ) { ?>
                                    <div class="option-item">
                                        <ul class="search-cart">
                                            <li>
                                                <div class="search-icon">
                                                    <i class="lni lni-search-alt"></i>
                                                </div>
                                            </li>
                                        </ul>
                                    </div><?php 
                                } ?>
                                <?php if( isset( $enable_btn ) && $enable_btn == '1' ) { ?>
                                    <?php if( $button_text == true ): ?>
                                        <div class="option-item">
                                            <?php if ( 'yes' === $cyarb_opt['target_page'] ) { ?>
                                                <a class="default-btn-two" target="_blank" href="<?php echo esc_url( $btn_link ) ?>">
                                                    <span><?php echo esc_html( $button_text ); ?></span>
                                                </a><?php
                                            } else { ?>
                                                <a class="default-btn-two" href="<?php echo esc_url( $btn_link ) ?>">
                                                    <span><?php echo esc_html( $button_text ); ?></span>
                                                </a><?php
                                            } ?>
                                        </div>
                                    <?php endif;
                                } ?>
                            </div>
                        </div>
                    </div>
                </nav>
            </div>
        </div>
        <div class="others-option-for-responsive <?php echo esc_attr( $meanclass2 ); ?> <?php echo esc_attr( $meanclass ); ?>">
            <div class="container">
                <div class="dot-menu">
                    <div class="inner">
                        <div class="circle circle-one"></div>
                        <div class="circle circle-two"></div>
                        <div class="circle circle-three"></div>
                    </div>
                </div>
                <div class="container">
                    <div class="option-inner">
                        <div class="others-option">
                            <div class="d-flex align-items-center">
                                <?php if( isset( $cyarb_opt['enable_cart_btn'] ) && $cyarb_opt['enable_cart_btn'] == true ) {
                                    if ( class_exists( 'WooCommerce' ) ) { ?>
                                    <div class="option-item">
                                        <a class="cart-btn" href="<?php echo esc_url(wc_get_cart_url()) ?>">
                                            <i class='lni lni-shopping-basket'></i>
                                            <span class="mini-cart-count"></span>
                                        </a>
                                    </div><?php 
                                    }
                                } ?>
                                <?php if( isset($enable_search) && $enable_search == '1' ) : ?>
                                    <div class="option-item">
                                        <ul class="search-cart">
                                            <li>
                                                <div class="search-icon">
                                                    <i class="lni lni-search-alt"></i>
                                                </div>
                                            </li>
                                        </ul>
                                    </div>
                                <?php endif; ?>

                                <?php if( isset( $enable_btn ) && $enable_btn == '1' ) { ?>
                                    <?php if( $button_text == true ): ?>
                                        <div class="option-item">
                                            <?php if ( 'yes' === $cyarb_opt['target_page'] ) { ?>
                                                <a class="default-btn-two" target="_blank" href="<?php echo esc_url( $btn_link ) ?>">
                                                    <span><?php echo esc_html( $button_text ); ?></span>
                                                </a><?php
                                            } else { ?>
                                                <a class="default-btn-two" href="<?php echo esc_url( $btn_link ) ?>">
                                                    <span><?php echo esc_html( $button_text ); ?></span>
                                                </a><?php
                                            } ?>
                                        </div>
                                    <?php endif;
                                } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>

<div class="search-overlay">
    <div class="d-table">
        <div class="d-table-cell">
            <div class="search-overlay-layer"></div>
            <div class="search-overlay-layer"></div>
            <div class="search-overlay-layer"></div>
            <div class="search-overlay-close">
                <span class="search-overlay-close-line"></span>
                <span class="search-overlay-close-line"></span>
            </div>
            <div class="search-overlay-form">
                <form method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>" class="search-form">
                    <input class="input-search" type="text" placeholder="<?php echo esc_attr( $search_place ); ?>" value="<?php echo get_search_query(); ?>" name="s" id="search" required />
                    <button type="submit" name="submit" value="Go" class="search-button"><i class="lni lni-search-alt"></i></button>
                </form>
            </div>
        </div>
    </div>
</div>